Bug Hunting Session
Bug 113660 - Wrong label on sidebar slide pane after switching to handout view
Summary: Wrong label on sidebar slide pane after switching to handout view
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Mark Dobo
URL:
Whiteboard: target:6.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Sidebar-Properties-Slide
  Show dependency treegraph
 
Reported: 2017-11-05 16:36 UTC by Tamás Zolnai
Modified: 2018-11-15 16:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of wrong naming (99.71 KB, image/png)
2017-11-05 16:37 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-11-05 16:36:22 UTC
Description:
In normal view on the sidebar's Slide pane has a title 'Slide', but when we switch to master slide the pane title become "Master Slide" as expected. The issue here is when I switch to handout view from normal view and then switch to master slides the slide pane page is not set to "Master Slide".

Steps to Reproduce:
1. Open an empty Impress document (we are in normal view)
2. Switch to handout view (View -> Master Handout)
3. Switch to master slide view (View -> Master Slides)

Actual Results:  
Sidepanel's slide pane has a "Slide" title instead of "Master Slide".

Expected Results:
Sidepanel's slide pane should be have a title of "Master Slide".


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/61.0.3163.100 Safari/537.36
Comment 1 Tamás Zolnai 2017-11-05 16:37:11 UTC
Created attachment 137539 [details]
Screenshot of wrong naming
Comment 2 Tamás Zolnai 2017-11-05 16:39:04 UTC
Let's turn this into an easy hack. The code is here:
sd/source/ui/sidebar/SlideBackground.cxx

IMPL_LINK(SlideBackground, EventMultiplexerListener, tools::EventMultiplexerEvent&, rEvent, void) method might be a good starting point.
Comment 3 Xisco Faulí 2017-11-09 20:52:24 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/44567/.
Comment 4 Commit Notification 2017-11-17 14:02:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=605b01dc591eaa72788be255baf1f9b9dde76414

tdf#113660: show Master Slide label in handout view

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-03-19 12:11:00 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b120932c77332f95ae40d7bd96b972ce87e7693a

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-03-19 12:12:18 UTC
Reopening as the commit has been reverted in https://cgit.freedesktop.org/libreoffice/core/commit/?id=b120932c77332f95ae40d7bd96b972ce87e7693a
It introduced bug 116364 which is more critical...
Comment 7 Commit Notification 2018-03-19 16:10:55 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=855ae519db73b81a64d991b99c8993e6a192df08&h=libreoffice-6-0

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-03-23 21:15:16 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08ed147729b4b5a4f884b300b0d2e99b6267936a&h=libreoffice-6-0-3

tdf#116364: Revert "tdf#113660: show Master Slide label in handout view"

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Heiko Tietze 2018-09-27 19:49:23 UTC
Is this solved?
Comment 10 Tamás Zolnai 2018-09-30 13:41:40 UTC
Still reproducable. One additional comment we need to select the Properties panel on the sidebar to see the buggy label.
Comment 11 Commit Notification 2018-11-07 10:33:31 UTC
Mark Dobo committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/92b56816cd9b568b808cb880be920d26bc9e2693%5E%21

tdf#113660 - Wrong label on sidebar slide pane after switching to handout view

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 BogdanB 2018-11-15 16:25:45 UTC
Resolved on 6.2

Version: 6.2.0.0.alpha1+
Build ID: 7eb71f84db2f2d9a6e79a42d25bb676cf1018a90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-12_17:12:50
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded